Bug 788729 - Reindexing entryrdn fails if ancestors are also tombstoned
Summary: Reindexing entryrdn fails if ancestors are also tombstoned
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: 389-ds-base
Version: 6.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Rich Megginson
QA Contact: IDM QE LIST
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-02-08 22:03 UTC by Rich Megginson
Modified: 2012-06-20 07:14 UTC (History)
3 users (show)

Fixed In Version: 389-ds-base-1.2.10.0-1.el6
Doc Type: Bug Fix
Doc Text:
Cause: Reindexing (e.g. using db2index) the entryrdn index when there are deleted entries that were converted to tombstone entries in the database. Consequence: Error messages like _entryrdn_insert_key: Getting "nsuniqueid=ca681083-69f011e0-8115a0d5-f42e0a24,ou=People,dc=example,dc=com" failed are seen. Fix: The server correctly handles these child tombstone entries. Result: The entryrdn index can be reindexed with no errors and searches work correctly.
Clone Of:
Environment:
Last Closed: 2012-06-20 07:14:00 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:0813 normal SHIPPED_LIVE Low: 389-ds-base security, bug fix, and enhancement update 2012-06-19 19:29:15 UTC

Description Rich Megginson 2012-02-08 22:03:26 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/389/ticket/274

Report by Rich:
I have a situation where I have added several entries under ou=people, then deleted all of those entries and ou=people.  When I reindex entryrdn, I do not see all of the tombstone entries in entryrdn, plus I see the following errors:
[30/Jan/2012:20:06:07 -0700] entryrdn-index - _entryrdn_insert_key: Getting "nsuniqueid=ca681083-69f011e0-8115a0d5-f42e0a24,ou=People,dc=vmhost,dc=com" failed: Successful return: 0(0)

Comment 1 Jenny Severance 2012-02-14 15:45:06 UTC
See upstream ticket for steps to verify

Comment 3 Rich Megginson 2012-04-16 20:19:30 UTC
mmrepl/accept/accept.sh:
# Reindexing entryrdn fils if ancestors are also tombstoned.
bug788729()

Comment 4 Noriko Hosoi 2012-05-24 23:00:16 UTC
    Technical note added. If any revisions are required, please edit the
"Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content
Services team.

    New Contents:
Cause: In case a non-leaf entry is tombstoned, the RDN starts with nsuniqueid. The special RDN in non-leaf entries was not supported.
Consequence: Inserting/traversing the entryrdn index fails if a parent
entry is tombstoned.
Fix: The special RDN of the non-leaf tombstone entry is supported.
Result: Inserting/traversing the entryrdn index works even if tombstone entries are found among non-leaf entries.

Comment 5 Rich Megginson 2012-05-24 23:30:19 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: Reindexing (e.g. using db2index) the entryrdn index when there are deleted entries that were converted to tombstone entries in the database.
Consequence: Error messages like _entryrdn_insert_key: Getting "nsuniqueid=ca681083-69f011e0-8115a0d5-f42e0a24,ou=People,dc=example,dc=com" failed are seen.
Fix: The server correctly handles these child tombstone entries.
Result: The entryrdn index can be reindexed with no errors and searches work correctly.

Comment 6 Amita Sharma 2012-05-29 11:28:07 UTC
mmrepl mmraccept startup 	100% (2/2) 	  	 
mmrepl mmraccept run 	100% (23/23) 	  	 
mmrepl mmraccept cleanup 	100% (1/1)

Hence marking bug as VERIFIED.

Comment 7 errata-xmlrpc 2012-06-20 07:14:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-0813.html


Note You need to log in before you can comment on or make changes to this bug.